com.streambase.sb.feedsim

## Class FeedSimCSVInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.streambase.sb.feedsim.FeedSimCSVInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    FeedSimTupleInputStream

      public abstract class FeedSimCSVInputStream
      extends InputStream

  FeedSim can be configured to use classes that extend this abstract class. This allows users to read proprietary formated files and deliver their contents so that FeedSim can play their data like any other product supported format. Data returned by the required read() method must be in essentially CSV format.
  Since:
    6.5.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeedSimCSVInputStream(String path)` Constructor which takes a path of the file to open.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()` Returns the path String this object was constructed with.

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeedSimCSVInputStream

          public FeedSimCSVInputStream(String path)
                                throws IOException

      Constructor which takes a path of the file to open. Running FeedSim within StreamBase Studio this path will be a resource known to the project. Running FeedSim from the command line, the path must be resolved with respect to the working directory of the FeedSim command.
      Parameters:
        `path` - - path of the file to open
      Throws:
        `IOException` - Input error

  - ### Method Detail

    - #### getPath

          public String getPath()

      Returns the path String this object was constructed with.
      Returns:
        The path to the file

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.